package CRSDK;

@SuppressWarnings("unused")
public enum CrZoomSettingType {
    CrZoomSetting_OpticalZoomOnly (0x01),
    CrZoomSetting_SmartZoomOnly (CrZoomSetting_OpticalZoomOnly.getValue()+1),
    CrZoomSetting_On_ClearImageZoom (CrZoomSetting_OpticalZoomOnly.getValue()+2),
    CrZoomSetting_On_DigitalZoom (CrZoomSetting_OpticalZoomOnly.getValue()+3);

    private final CrInt8u value;
    CrZoomSettingType(int value) {
        this.value = new CrInt8u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
